Selection API/pl: Difference between revisions

From FreeCAD Documentation
(Created page with "Moduł podrzędny wyboru jest częścią modułu FreeCADGui. Przykład:")
(Created page with "{{APIFunction|addSelection|FreeCAD.Object|Dodaje obiekt do zaznaczenia| }} {{APIFunction|clearSelection|[string]|Czyści wybór podanej nazwy dokumentu. Jeżeli nie podano ża...")
 
Line 8: Line 8:
}}
}}


{{APIFunction|addSelection|FreeCAD.Object|Adds an object to the selection| }}
{{APIFunction|addSelection|FreeCAD.Object|Dodaje obiekt do zaznaczenia| }}
{{APIFunction|clearSelection|[string]|Clears the selection of the given document name. If no document is given the complete selection is cleared.| }}
{{APIFunction|clearSelection|[string]|Czyści wybór podanej nazwy dokumentu. Jeżeli nie podano żadnego dokumentu, to czyszczony jest cały wybór.| }}
{{APIFunction|getSelection|[string]|Returns a list of selected document objects for a given document name. If no document is given the complete selection is returned.|a list of document objects in the order they were selected.}}
{{APIFunction|getSelection|[string]|Zwraca listę wybranych obiektów dokumentu dla podanej nazwy dokumentu. Jeśli nie podano żadnego dokumentu, zwracana jest pełna lista wybranych obiektów.|a list of document objects in the order they were selected.}}
{{APIFunction|getSelectionEx|[string]|Returns a list of SelectionObject for a given document name. If no document is given the complete selection is returned. Used for selecting subobjects (ex some Edges of a Face).|a list of SelectionObjects in the order they were selected}}
{{APIFunction|getSelectionEx|[string]|Zwraca listę wybranych obiektów dla podanej nazwy dokumentu. Jeśli nie zostanie podany żaden dokument, zwrócony zostanie kompletny wybór. Używane do wyboru obiektów podrzędnych ''(np. niektóre krawędzie ściany)''.|a list of SelectionObjects in the order they were selected}}
{{APIFunction|isSelected|FreeCAD.Object|Checks if a given object is selected| }}
{{APIFunction|isSelected|FreeCAD.Object|Sprawdza, czy dany obiekt jest zaznaczony| }}
{{APIFunction|removeSelection|FreeCAD.Object|Removes an object from the selection| }}
{{APIFunction|removeSelection|FreeCAD.Object|Usuwa obiekt z zaznaczenia| }}


{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 16:12, 8 June 2021

Other languages:
(Październik 2019) Nie edytuj tych stron. Informacje są niekompletne i nieaktualne. Najnowsze API można znaleźć w automatycznie generowana dokumentacja API, lub wygenerować dokumentację samodzielnie, śledząc dokument Dokumentacja źródłowa.

Moduł podrzędny wyboru jest częścią modułu FreeCADGui. Przykład:

import FreeCADGui
sel = FreeCADGui.Selection.getSelection()
addSelection(FreeCAD.Object)

Description: Dodaje obiekt do zaznaczenia

Returns:

clearSelection([string])

Description: Czyści wybór podanej nazwy dokumentu. Jeżeli nie podano żadnego dokumentu, to czyszczony jest cały wybór.

Returns:

getSelection([string])

Description: Zwraca listę wybranych obiektów dokumentu dla podanej nazwy dokumentu. Jeśli nie podano żadnego dokumentu, zwracana jest pełna lista wybranych obiektów.

Returns: a list of document objects in the order they were selected.

getSelectionEx([string])

Description: Zwraca listę wybranych obiektów dla podanej nazwy dokumentu. Jeśli nie zostanie podany żaden dokument, zwrócony zostanie kompletny wybór. Używane do wyboru obiektów podrzędnych (np. niektóre krawędzie ściany).

Returns: a list of SelectionObjects in the order they were selected

isSelected(FreeCAD.Object)

Description: Sprawdza, czy dany obiekt jest zaznaczony

Returns:

removeSelection(FreeCAD.Object)

Description: Usuwa obiekt z zaznaczenia

Returns: